summaryrefslogtreecommitdiffstats
path: root/bin/etc-update
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2012-03-27 10:35:44 -0700
committerZac Medico <zmedico@gentoo.org>2012-03-27 10:35:44 -0700
commitb344222a9a4dfbd811e196bd755ccbec511d0721 (patch)
treee9828092f43a29d35243c82b65f8f04ac89115f9 /bin/etc-update
parentaefd607374b0c631bc3b9a962e0a5c55a2f5e6d2 (diff)
downloadportage-b344222a9a4dfbd811e196bd755ccbec511d0721.tar.gz
portage-b344222a9a4dfbd811e196bd755ccbec511d0721.tar.bz2
portage-b344222a9a4dfbd811e196bd755ccbec511d0721.zip
etc-update: handle emacs diff cmd, bug #409849
Diffstat (limited to 'bin/etc-update')
-rwxr-xr-xbin/etc-update4
1 files changed, 3 insertions, 1 deletions
diff --git a/bin/etc-update b/bin/etc-update
index 794271ff4..1edc91fab 100755
--- a/bin/etc-update
+++ b/bin/etc-update
@@ -676,7 +676,9 @@ if [[ ${using_editor} == "0" ]] ; then
die "'${diff_command}' does not seem to work, aborting"
fi
else
- if ! cmd_var_is_valid "${diff_command}" ; then
+ # NOTE: cmd_var_is_valid doesn't work with diff_command="eval emacs..."
+ # because it uses type -P.
+ if ! type ${diff_command%%[[:space:]]*} >/dev/null; then
die "'${diff_command}' does not seem to work, aborting"
fi
fi